aodh (1:16.0.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Mar 2023 14:14:18 -0400

aodh (1:15.0.0+git2023030211.aa91a3b6-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Mar 2023 11:38:04 -0500

aodh (1:15.0.0+git2023011009.3a648043-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Jan 2023 09:31:35 -0500

aodh (1:15.0.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Oct 2022 14:19:03 -0400

aodh (1:14.0.0+git2022091212.1ead679b-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Sep 2022 12:36:04 -0400

aodh (1:14.0.0+git2022071412.f1743d06-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Ensure openstack-pkg-tools has CIS hardening for log files
    and pkgos_adduser.
  * d/aodh-common.postinst: CIS hardening update to switch adduser to use
    /usr/sbin/nologin when creating system account that does not run a shell.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jul 2022 12:54:54 -0400

aodh (1:14.0.0+git2022060116.0b0c0aff-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 01 Jun 2022 16:13:52 -0400

aodh (1:14.0.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Mar 2022 15:37:57 -0400

aodh (1:14.0.0~rc1-0ubuntu2) jammy; urgency=medium

  * d/control: Drop python3-ceilometerclient BD as it is no longer
    needed (LP: #1836142).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 14 Mar 2022 08:42:59 -0400

aodh (1:14.0.0~rc1-0ubuntu1) jammy; urgency=medium

  * New upstream release candidate (LP: #1946793).
  * d/p/*: Refresh.

 -- James Page <james.page@ubuntu.com>  Mon, 14 Mar 2022 09:09:40 +0000

aodh (1:13.0.0+git2022011215.8ac7c65c-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/control, d/rules: Bump debhelper compat to 13.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jan 2022 15:50:40 -0500

aodh (1:13.0.0+git2021120710.6bbf61a6-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Add PBR_VERSION to set correct distro version for package build.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Dec 2021 10:28:06 -0500

aodh (1:13.0.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 06 Oct 2021 15:13:18 +0000

aodh (1:12.0.0+git2021090813.e61fba4a-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 09 Sep 2021 07:59:54 +0000

aodh (1:12.0.0+git2021072116.10383f4d-0ubuntu3) impish; urgency=medium

  * d/p/drop-sqlalchemy-required-version.patch: Remove dependency on
    unavailable sqlalchemy 1.4.
    (LP: #1938962)

 -- Bryce Harrington <bryce@canonical.com>  Thu, 05 Aug 2021 00:37:55 +0000

aodh (1:12.0.0+git2021072116.10383f4d-0ubuntu2) impish; urgency=medium

  * d/control: Drop python3-sqlalchemy min version.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 27 Jul 2021 08:30:28 -0400

aodh (1:12.0.0+git2021072116.10383f4d-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 16:24:37 -0400

aodh (1:12.0.0+git2021061111.71f4d027-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 11 Jun 2021 11:36:42 +0000

aodh (1:12.0.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Apr 2021 14:48:19 -0400

aodh (1:12.0.0~rc1-0ubuntu1) hirsute; urgency=medium

  * d/watch: Fix tarball path.
  * New upstream release candidate for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 23 Mar 2021 17:12:34 -0400

aodh (1:11.0.0+git2021012507.a584056c-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 25 Jan 2021 08:04:31 +0000

aodh (1:11.0.0+git2020120915.02856174-0ubuntu1) hirsute; urgency=medium

  * Increment epoch to align with new snapshot plan.
  * New upstream snapshot for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 09 Dec 2020 15:33:57 +0000

aodh (11.1.0~b1~git2020120714.c9a6cdc5-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 07 Dec 2020 15:17:12 +0000

aodh (11.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 15 Oct 2020 07:12:51 +0000

aodh (11.0.0~rc1-0ubuntu1) groovy; urgency=medium

  * d/control: Remove Breaks/Replaces that are older than Focal (LP: #1878419).
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New upstream release candidate for OpenStack Victoria.
  * d/p/remove-wsmeext.sphinxext.patch: wsmext is incompatible with Sphinx>3.
    Patch synced from Debian.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 09 Oct 2020 13:15:52 +0000

aodh (11.0.0~b1~git2020062508.932b1e0e-0ubuntu2) groovy; urgency=medium

  * d/control, d/*.init.in, d/setup-test-env-mongodb.sh: Drop mongodb
    as it is no longer needed by aodh (LP: #1879494).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 16 Jul 2020 16:12:40 -0400

aodh (11.0.0~b1~git2020062508.932b1e0e-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 25 Jun 2020 08:37:35 +0000

aodh (10.0.0-0ubuntu1) groovy; urgency=medium

  * d/watch: Update to get release tarballs from opendev.org.
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 May 2020 13:27:11 -0400

aodh (10.0.0~b3~git2020041012.6ae7f90a-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/aodh-common.postinst: Set ownership and permissions for all /var/lib
    files and directories.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Apr 2020 12:51:08 -0400

aodh (10.0.0~b3~git2020032411.ed802044-0ubuntu1) focal; urgency=medium

  * d/aodh-common.postinst: Set default ownership and permissions for
    /etc/<pkg>, /var/lib/<pkg>, and /var/log/<pkg> (LP: #1859422).
  * New upstream snapshot for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 24 Mar 2020 11:48:22 -0400

aodh (10.0.0~b2~git2020020508.83ef3a81-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 05 Feb 2020 09:45:55 +0100

aodh (10.0.0~b1~git2019121610.b18d0bae-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Drop. Dropped Python2 support
  * d/rules: Swith to pybuild

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 16 Dec 2019 11:08:26 +0100

aodh (9.0.0-0ubuntu1) eoan; urgency=medium

  * New stable point release for OpenStack Train.
  * d/control: Remove duplicate reference of python3-tz.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 16 Oct 2019 17:41:34 +0100

aodh (9.0.0~rc1-0ubuntu1) eoan; urgency=medium

  [ Sahid Orentino Ferdjaoui ]
  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

  [ Corey Bryant ]
  * New upstream release candidate for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 26 Sep 2019 13:25:14 -0400

aodh (9.0.0~b2~git2019073015.4b93caca-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 30 Jul 2019 15:14:04 +0200

aodh (9.0.0~b1~git2019061315.83fb9646-0ubuntu2) eoan; urgency=medium

  * d/control: Drop (Build-)Depends on python3-ceilometerclient as it is
    no longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 23 Jul 2019 13:49:58 -0400

aodh (9.0.0~b1~git2019061315.83fb9646-0ubuntu1) eoan; urgency=medium

  * New upstream release 9.0.0~b1.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Fri, 14 Jun 2019 16:28:10 +0100

aodh (8.0.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Apr 2019 08:37:56 +0100

aodh (8.0.0~rc1-0ubuntu1) disco; urgency=medium

  * New upstream release candidate for OpenStack Stein.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 25 Mar 2019 09:50:48 -0400

aodh (8.0.0~b1~git2019031456.1b552dd8-0ubuntu1) disco; urgency=medium

  * d/aodh-common.postinst: Change /etc/aodh to 0750 root:aodh.
  * New upstream snapshot for OpenStack Stein.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Mar 2019 07:36:51 +0000

aodh (8.0.0~b1~git2019013034.1b552dd8-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Jan 2019 15:40:12 +0000

aodh (8.0.0~b1~git2018111614.c676eae2-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control, d/rules, d/python(3)-aodh.*, d/tests/*: Drop Python 2 support.
  * d/p/ensure-refresh-gets-str-type.patch: Dropped. Fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 16 Nov 2018 14:20:31 -0500

aodh (7.0.0-0ubuntu5) disco; urgency=medium

  * d/tests/aodh-shebangs-py3: Update shebang for Python 3.7.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 07 Nov 2018 09:22:58 -0500

aodh (7.0.0-0ubuntu4) cosmic; urgency=medium

  * d/p/ensure-refresh-gets-str-type.patch: Cherry-picked from upstream
    (https://review.openstack.org/#/c/613656/) to enable successful
    alarms in py3 (LP: #1799406).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 26 Oct 2018 14:16:13 -0400

aodh (7.0.0-0ubuntu3) cosmic; urgency=medium

  * d/aodh-api.apache2, d/aodh-common.apache2: Move back to aodh-api
    package where apache2 dependencies are installed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 09:30:58 -0400

aodh (7.0.0-0ubuntu2) cosmic; urgency=medium

  * Additional support for Python 3:
    - d/control, d/aodh-*: Move common files to aodh-common. Only have
      python(3)-aodh depend on aodh-common. Other packages that used to
      depend on aodh-common now depend on python-aodh | python3-aodh.
    - d/control: Drop python(3)-aodh conflicts on each other.
    - d/python(3)-aodh.postinst: Ensure alternatives priority is 300
      for Py2 and 200 for Py3.
    - d/tests/control: Run Py3 tests first due to alternatives priority.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 27 Aug 2018 10:59:12 -0400

aodh (7.0.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/0001-Support-same-projects-in-different-domain.patch: Dropped. Fixed
    in new upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Aug 2018 10:23:45 -0400

aodh (6.0.1-0ubuntu4) cosmic; urgency=medium

  * d/p/0001-Support-same-projects-in-different-domain.patch
    - Support same projects in different domain (LP: #1776375)

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 23 Jul 2018 14:09:27 -0400

aodh (6.0.1-0ubuntu3) cosmic; urgency=medium

  * Add support for Python 3:
    - d/control: Add Py3 BDs and python3-aodh package.
    - d/control: Support Py2 first and Py3 as alternative.
    - d/control: Move all python deps to python(3)-aodh Depends.
    - d/control: Make python(3)-aodh conflict against each other.
    - d/rules: Add Py3 support.
    - d/rules: Use pkgos-dh_auto_install as this helps name binaries for
      update-alternatives.
    - d/rules: Run tests with pkgos-dh_auto_test.
    - d/python-aodh.install: Drop, not needed.
    - d/aodh-common.install: Drop usr/bin/* as pkgos-dh_auto_install handles
      install of those files.
    - d/control, d/tests/*: Enable autopkgtest-pkg-python testsuite and
      drop deprectated 'XS-Testsuite: autopkgtest'.
    - d/python(3)-aodh.post*, d/python(3)-aodh.prerm: Add update-alternatives
      to enable correct shebangs for Python binaries.
    - d/tests/*: Enable Py3 tests for aodh daemons and add shebang tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 06 Jul 2018 09:17:13 -0400

aodh (6.0.1-0ubuntu2) cosmic; urgency=medium

  * New stable point release for OpenStack Queens (LP: #1778747).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 28 Jun 2018 16:13:51 -0400

aodh (6.0.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Switch to python3-sphinx.

 -- James Page <james.page@ubuntu.com>  Tue, 13 Feb 2018 09:46:05 +0000

aodh (6.0.0~b1~git20180129.f9d322ea-0ubuntu1) bionic; urgency=medium

  * New upstream snapshot for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-ujson.patch: Dropped. Fixed upstream in snapshot.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 29 Jan 2018 16:20:48 -0500

aodh (6.0.0~b1~git20171213.3fcb2843-0ubuntu2) bionic; urgency=medium

  * d/p/drop-ujson.patch: Cherry pick inflight change to drop requirement
    for ujson from aodh.

 -- James Page <james.page@ubuntu.com>  Wed, 03 Jan 2018 10:03:31 +0000

aodh (6.0.0~b1~git20171213.3fcb2843-0ubuntu1) bionic; urgency=medium

  * d/control: Add ujson to Depends.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * New upstream snapshot for OpenStack Queens.
  * d/p/*: Drop, no longer needed.
  * d/control,compat: Bump debhelper compat to 10, drop BD on dh-
    systemd.
  * d/control: Bumped Standards-Version to 4.1.2.
  * d/aodh-common.install: Drop policy.json, now implemented in code.
  * d/control: Drop BD on python-happybase.
  * d/rules: Setup test storage URL.
  * d/rules: Switch back to using testrepository directly for unit test
    execution.

 -- James Page <james.page@ubuntu.com>  Wed, 13 Dec 2017 15:29:02 +0000

aodh (5.0.0-0ubuntu2) artful; urgency=medium

  * d/aodh-common.postinst: Drop db sync (LP: #1713059).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 29 Aug 2017 10:57:40 -0400

aodh (5.0.0-0ubuntu1) artful; urgency=medium

  [ Chuck Short ]
  * d/aodh-common.install: Dropped deprecated alarms.

  [  James Page ]
  * d/rules: Use ostestr for unit test execution.
  * New snapshot.
  * d/rules,aodh.conf.dist: Refactor defaults management to use crudini.
  * d/*: wrap-and-sort.

  [ Corey Bryant ]
  * d/rules: Align aodh-config-generator.conf path with upstream.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Aug 2017 08:32:09 -0400

aodh (4.0.1-0ubuntu1) artful; urgency=medium

  * New upstream release (LP: #1706297).
    - d/p/*: Drop patches, included upstream.

 -- James Page <james.page@ubuntu.com>  Tue, 25 Jul 2017 15:22:32 +0100

aodh (4.0.0-0ubuntu3) artful; urgency=medium

  * No-change rebuild for sqlalchemy 1.1.x.

 -- James Page <james.page@ubuntu.com>  Fri, 28 Apr 2017 10:33:22 +0100

aodh (4.0.0-0ubuntu2) zesty; urgency=medium

  * debian/patches/fix-migrate-alarm-history.patch: Fix migration
    to use alarm_history. (LP: #1667334)

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 23 Feb 2017 10:15:54 -0500

aodh (4.0.0-0ubuntu1) zesty; urgency=medium

  * debian/rules: Do not try to install usr/etc/aodh/api_paste.ini
    or usr/etc/aodh/policy.json. 
  * debian/aodh-common.install, debian/rules: Adjust installation of
    configuration files.
  * New upstream milestone for Ocata.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/tests: Add autopkgtests.
  * d/rules, d/aodh-conf.dist: Configure proper logging directory.
  * d/control: Fix lintian warnings.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 03 Feb 2017 13:09:44 -0500

aodh (4.0.0~git20170105.5363ff85-0ubuntu1) zesty; urgency=medium

  * New upstream release snapshot for OpenStack Ocata:
    - Updates package version to align with ocata (4.0.0).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Jan 2017 12:03:16 -0500

aodh (3.0.1+git20170105.5363ff85-0ubuntu1) zesty; urgency=medium

  [ Chuck Short ]
  * New upstream version.
  * debian/control: Remove python-testtools, its no longer being used.
  * debian/aodh-common.install: Remove usr/bin/aodh-data-migration, no longer exists.

  [ Corey Bryant ]
  * d/aodh-common.install, d/control, d/rules,
    d/aodh-api.{apache2,conf,service.in}: Run aodh-api under apache2 with
    mod_wsgi.
  * New upstream release snapshot for OpenStack Ocata.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 05 Jan 2017 07:56:33 -0500

aodh (3.0.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release candidate for Openstack Newton.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 06 Oct 2016 10:13:27 -0400

aodh (3.0.0~rc1-0ubuntu3) yakkety; urgency=medium

  * d/aodh-api.service.in: Set listen port to 8042 to ensure that the
    wsgi_script generated binary actually listens on the correct port,
    configurable using a systemd override if need be.
    (LP: #1629796).

 -- James Page <james.page@ubuntu.com>  Mon, 03 Oct 2016 12:04:26 +0100

aodh (3.0.0~rc1-0ubuntu2) yakkety; urgency=medium

  [ Corey Bryant ]
  * d/control: oslo.log min version level in global-requirements is too low,
    so set min version to upper-constraints level (LP: #1628883).

  [ James Page ]
  * d/aodh-api.{service,init}.in: Switch to directly defining the systemd
    service unit to support the switch in aodh-api to pbr to generate
    a wsgi_script, instead of the previous console-script version
    (LP: #1629367).
  * d/control: Set minimum pbr version to 1.10.0 to ensure a valid
    wsgi_script is generated for aodh-api.

 -- James Page <james.page@ubuntu.com>  Fri, 30 Sep 2016 16:37:58 +0100

aodh (3.0.0~rc1-0ubuntu1) yakkety; urgency=medium

  * New upstream release candidate for OpenStack Newton.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 16 Sep 2016 08:53:56 -0400

aodh (3.0.0~b3-0ubuntu1) yakkety; urgency=medium

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Sep 2016 12:04:15 +0100

aodh (3.0.0~b2-0ubuntu1) yakkety; urgency=medium

  [ James Page ]
  * d/p/drop-sphinx-git.patch: Dropped, no longer required.
  * d/rules: Update path for aodh-config-generator.conf.
  * d/rules: Ignore usr/etc/aodh/aodh-config-generator.conf when checking
    for missed files during dh_install.
  * d/p/skip-gabbi-tests.patch: Dropped, gabbi is a BD only so we can
    use it without pulling it into main.
  * d/aodh-common.install: Add usr/bin/aodh-data-migration.

  [ David Della Vecchia ]
  * New upstream version.
  * d/aodh-common.install: Add usr/bin/aodh-combination-alarm-conversion.

  [ Corey Bryant ]
  * New upstream release for OpenStack Newton.
  * d/rules: Run tests with ostestr.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Switch back to running tests with testr instead of ostestr.

  [ James Page ]
  * d/control: Add python-sqlalchemy-utils to Build-Depends.
  * d/rules: Limit package testing to unit tests only.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 15 Jul 2016 15:49:56 -0400

aodh (2.0.0-0ubuntu1) xenial; urgency=medium

  * New upstream release for OpenStack Mitaka.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Apr 2016 11:47:28 -0400

aodh (2.0.0~rc1-0ubuntu1) xenial; urgency=medium

  * New upstream release candidate for OpenStack Mitaka.
  * d/rules: Run unit tests only during package builds.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 23 Mar 2016 21:27:05 -0400

aodh (2.0.0~b3-0ubuntu1) xenial; urgency=medium

  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-sphinx-git.patch, d/control: Drop use of git from sphinx config.
  * d/rules, d/setup-test-env-mongodb.sh: Copy old aodh setup script from
    upstream and use it to initialize mongodb functional tests, as upstream
    now uses overtest.
  * d/p/skip-gabbi-tests.patch: Skip gabbi tests as it is not in Ubuntu main.
  * d/rules: Update to account for new location of aodh-config-generator.conf.
  * d/aodh-common.install: Install api_paste.ini/policy.json from usr/etc/aodh.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 08 Mar 2016 15:31:34 -0500

aodh (2.0.0~b2-2ubuntu2) xenial; urgency=medium

  * d/aodh-common.install: Install aodh/api/app.wsgi.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 Mar 2016 14:26:11 -0500

aodh (2.0.0~b2-2ubuntu1) xenial; urgency=medium

  * d/gbp.conf: Update configuration.
  * d/control: Update Vcs-Browser/Git.
  * d/watch: Get orig tar ball from tarballs.openstack.org.
  * d/*: Remove debconf support.
  * d/aodh-common.dirs: New file added to create required dirs.
  * d/aodh-common.install: Install config files in /etc/aodh and install
    individual /usr/bin files.
  * d/rules: Clean up and simplify config file generation.
  * d/aodh-common.postinst: Add post install user/group/perm configuration.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 17 Feb 2016 14:14:45 -0500

aodh (2.0.0~b2-2) experimental; urgency=medium

  * Updated nl.po debconf translation (Closes: #806491).
  * VCS URLs using HTTPS.

 -- Thomas Goirand <zigo@debian.org>  Sat, 06 Feb 2016 05:41:51 +0000

aodh (2.0.0~b2-1) experimental; urgency=medium

  [ Corey Bryant ]
  * d/control: Add python-pymongo to python-aodh depends as aodh-api init
    script fails without it.
  * d/rules: Ensure that alembic files are installed correctly.

  [ Thomas Goirand ]
  * New upstream release.
  * Fix where the alembic files are stored.
  * Fixed debian/copyright ordering.
  * Fixed namespace for generating config file.

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Jan 2016 06:58:06 +0800

aodh (2.0.0~b1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Dec 2015 11:09:38 +0100

aodh (1.0.0-11) unstable; urgency=medium

  * Fixed incorrect python-keystonemiddleware (build-)depends version.

 -- Thomas Goirand <zigo@debian.org>  Sat, 21 Nov 2015 14:20:29 +0100

aodh (1.0.0-10) unstable; urgency=medium

  * Import .po files from Glance (Closes: #802183).
  * Added pt.po debconf translation (Closes: #802423).

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 Nov 2015 09:48:15 +0100

aodh (1.0.0-9) unstable; urgency=medium

  * Added q-text-as-data as depends for aodh-api.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Nov 2015 11:23:14 +0000

aodh (1.0.0-8) unstable; urgency=medium

  * Rebuilt with openstack-pkg-tools 37 to use Keystone API v3.

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Nov 2015 20:08:59 +0000

aodh (1.0.0-7) unstable; urgency=medium

  * Correctly purge remaining folders on purge (Closes: #802534).

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Oct 2015 12:15:10 +0000

aodh (1.0.0-6) unstable; urgency=medium

  * Added missing Alembic migration scripts (LP: 1508463).

 -- Thomas Goirand <zigo@debian.org>  Thu, 22 Oct 2015 08:01:49 +0000

aodh (1.0.0-5) unstable; urgency=medium

  * Added python-pymysql as runtime dependency.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Oct 2015 14:57:51 +0200

aodh (1.0.0-4) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2015 12:53:18 +0000

aodh (1.0.0-3) experimental; urgency=medium

  * Added a -expirer daemon, after request from upstream.
  * Minimum version for ceilometerclient is now 1.5.0.

 -- Thomas Goirand <zigo@debian.org>  Tue, 06 Oct 2015 15:14:51 +0000

aodh (1.0.0-2) experimental; urgency=medium

  * Now aodh-api depends on openstackclient.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Sep 2015 12:51:21 +0000

aodh (1.0.0-1) experimental; urgency=medium

  * Initial release. (Closes: #798570)

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Sep 2015 17:50:46 +0200
